-- demo1.adb
--
-- Create a frame with a 3D panel and a Quit button.
--

-- Include neccesary packages

with Text_Io,Xv_Base_Package,Demo1_Frame_Package;
use  Text_Io,Xv_Base_Package,Demo1_Frame_Package;

procedure demo1 is
-- Pointers to dynamically allocated objects
  Xview_Base : Xv_Base;
  Frame_Ptr  : Demo1_Frame_Ptr;
begin
   Frame_Ptr := new Demo1_Frame;

-- Here some exceptions are taken care of...
  exception
    when QUIT_PROGRAM =>
      null;
    when STORAGE_ERROR =>
      put ("driver: No more memory... Terminating..."); new_line;
    when NO_OBJECT_CREATED =>
      put ("driver: object not created, maybe invalid data..."); new_line;
end demo1;
